Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1494041 - Setting up lvmcache using gdeploy fails
Summary: Setting up lvmcache using gdeploy fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhhi
Version: rhhi-1.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHHI 1.1
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1494062
Blocks: RHHI-1.1-In-Flight-BZs
TreeView+ depends on / blocked
 
Reported: 2017-09-21 11:39 UTC by SATHEESARAN
Modified: 2018-01-03 10:53 UTC (History)
5 users (show)

Fixed In Version: gdeploy-2.0.2-16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1480567
: 1494062 (view as bug list)
Environment:
Last Closed: 2018-01-03 10:53:14 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description SATHEESARAN 2017-09-21 11:39:54 UTC
+++ This bug was initially created as a clone of Bug #1480567 +++

Description of problem:
------------------------
Setting up lvmcache using gdeploy fails.

Note:
This happens consistently with RHEL 7.4 platform, and works well with RHEL 7.3

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
RHEL 7.4
gdeploy-2.0.2-15

How reproducible:
------------------
Always

Steps to Reproduce:
-------------------
1. setup lvmcache using the following configuration

[lv]
action=setup-cache
ssd=sdc
vgname=vg
poolname=thinpool
cache_lv=lvcache
cache_lvsize=10GB
cachemode=writethrough

Actual results:
---------------
gdeploy throws error while changing attributes of the logical volume

Expected results:
------------------
gdeploy should setup lvmcache successfully

Comment 4 SATHEESARAN 2017-09-22 15:56:12 UTC
Verified with gdeploy-2.0.2-16.el7rhgs and this issue is not seen.

The configuration file used is:
[lv]
action=setup-cache
ssd=vde
vgname=vg
poolname=thinpool
cache_lv=lvcache
cache_lvsize=5GB
cachemode=writeback

This setup the lvmcache as required.

Comment 5 SATHEESARAN 2017-10-06 07:06:26 UTC
The build - gdeploy-2.0.2-16.el7rhgs is available with the errata and with comment4 marking this bug as VERIFIED


Note You need to log in before you can comment on or make changes to this bug.